> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all transactions

> List all transactions



## OpenAPI

````yaml openapi-payments.json GET /v1/transactions
openapi: 3.1.0
info:
  title: Yorlet Payments API
  description: APIs for managing transactions, payment initiations, and external accounts.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/transactions:
    get:
      tags:
        - Transactions
      summary: List all transactions
      description: List all transactions
      operationId: transactions_list
      responses:
        '200':
          description: >-
            A dictionary with a data property that contains an array of up to
            limit transactions. Each entry in the array is a separate
            transaction object. If no more transactions are available, the
            resulting array will be empty.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - transaction
                        adaptive_pricing:
                          type:
                            - object
                            - 'null'
                          properties:
                            localized_prices:
                              type: array
                              items:
                                type: object
                                properties:
                                  amount:
                                    type: number
                                    description: >-
                                      The localized amount for the presentment
                                      currency.
                                  currency:
                                    type: string
                                    description: >-
                                      The presentment currency for the localized
                                      price.
                                  presentment_exchange_rate:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      currency:
                                        type: string
                                        description: >-
                                          The presentment currency for the
                                          exchange rate.
                                      exchange_rate:
                                        type: number
                                        description: >-
                                          The exchange rate applied to compute the
                                          presentment amount.
                                    required:
                                      - currency
                                      - exchange_rate
                                    description: >-
                                      The exchange rate used to compute the
                                      localized price.
                                required:
                                  - amount
                                  - currency
                                  - presentment_exchange_rate
                              description: Localized prices available for adaptive pricing.
                          required:
                            - localized_prices
                          description: >-
                            Adaptive pricing information, if enabled for this
                            transaction.
                        amount:
                          type: number
                          description: >-
                            The amount of the transaction in the smallest
                            currency unit (e.g. cents).
                        amount_refunded:
                          type: number
                          default: 0
                          description: >-
                            The amount that has been refunded for this
                            transaction.
                        application:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ID of the application the transaction is
                            associated with.
                        balance_transaction:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: >-
                            The balance transaction associated with this
                            transaction.
                        capture_method:
                          type:
                            - string
                            - 'null'
                          enum:
                            - automatic
                            - manual
                            - null
                          description: >-
                            Controls when the funds will be captured from the
                            customer.
                        client_secret:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The client secret used to complete the transaction
                            on the client side.
                        confirmed_at:
                          type:
                            - number
                            - 'null'
                          description: The time at which the transaction was confirmed.
                        cross_border:
                          type:
                            - object
                            - 'null'
                          properties:
                            amount:
                              type: number
                              description: The cross-border amount in the source currency.
                            enabled:
                              type: boolean
                              description: >-
                                Whether cross-border processing is enabled for
                                this transaction.
                          required:
                            - amount
                            - enabled
                          description: Cross-border payment information, if applicable.
                        currency:
                          type: string
                          description: >-
                            Three-letter ISO currency code, in lowercase. Must
                            be a supported currency.
                        customer:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                          description: The customer the transaction is for.
                        description:
                          type:
                            - string
                            - 'null'
                          description: >-
                            An arbitrary string attached to the object. Often
                            useful for displaying to users.
                        dispute:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: The dispute associated with the transaction, if any.
                        disputed:
                          type: boolean
                          default: false
                          description: >-
                            Whether the transaction has been disputed by the
                            customer.
                        invoice:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: >-
                            The invoice the transaction was created to pay, if
                            any.
                        last_payment_error:
                          type:
                            - object
                            - 'null'
                          properties:
                            code:
                              type:
                                - string
                                - 'null'
                              description: The code of the latest payment error.
                            failed_at:
                              type:
                                - number
                                - 'null'
                              description: The Unix timestamp of the last payment error.
                            message:
                              type:
                                - string
                                - 'null'
                              description: The message of the latest payment error.
                          required:
                            - code
                            - failed_at
                            - message
                          description: >-
                            The most recent payment error encountered when
                            attempting the transaction.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: >-
                            Set of key-value pairs that you can attach to an
                            object. This can be useful for storing additional
                            information about the object in a structured format.
                        next_action:
                          oneOf:
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - redirect_to_url
                                redirect_to_url:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: >-
                                        The URL to redirect the customer to in
                                        order to complete the next action.
                                  required:
                                    - url
                                  description: >-
                                    Information needed to redirect the customer
                                    to complete the next action.
                              required:
                                - type
                                - redirect_to_url
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - use_yorlet_sdk
                                use_yorlet_sdk:
                                  type: object
                                  properties:
                                    payment_initiation:
                                      type: string
                                      description: >-
                                        The ID of the payment initiation used to
                                        complete the next action.
                                    type:
                                      type: string
                                      enum:
                                        - payment_initiation
                                      description: >-
                                        The kind of Yorlet SDK action required
                                        to complete the next step.
                                  required:
                                    - payment_initiation
                                    - type
                                  description: >-
                                    Data used by the Yorlet SDK to complete the
                                    next action.
                              required:
                                - type
                                - use_yorlet_sdk
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - terminal
                                terminal:
                                  type: object
                                  properties:
                                    status:
                                      type: string
                                      enum:
                                        - awaiting_response
                                      description: >-
                                        The current status of the terminal next
                                        action.
                                  required:
                                    - status
                                  description: >-
                                    Information needed to complete the next
                                    action on a terminal.
                              required:
                                - type
                                - terminal
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - use_stripe_sdk
                                use_stripe_sdk:
                                  type: object
                                  additionalProperties: {}
                                  description: >-
                                    Data used by the Stripe SDK to complete the
                                    next action.
                              required:
                                - type
                                - use_stripe_sdk
                            - type: 'null'
                          description: >-
                            The next action required to complete the
                            transaction, if any.
                        paid_at:
                          type:
                            - number
                            - 'null'
                          description: The time at which the transaction was paid.
                        payment_method:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: >-
                            The payment method used or to be used to complete
                            the transaction.
                        payment_method_types:
                          type: array
                          items:
                            type: string
                          description: >-
                            The payment method types allowed for this
                            transaction.
                        payment_session:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: >-
                            The payment session associated with this
                            transaction, if any.
                        presentment_details:
                          type:
                            - object
                            - 'null'
                          properties:
                            amount:
                              type: number
                              description: >-
                                The amount shown to the customer in the
                                presentment currency.
                            currency:
                              type: string
                              description: The presentment currency.
                          required:
                            - amount
                            - currency
                          description: >-
                            Details of the amount and currency presented to the
                            customer.
                        processing:
                          type:
                            - object
                            - 'null'
                          properties:
                            type:
                              type: string
                              enum:
                                - bacs_debit
                              description: >-
                                The payment method type that is currently
                                processing.
                            bacs_debit:
                              type: object
                              properties:
                                timings:
                                  type: object
                                  properties:
                                    customer_debit_at:
                                      type: number
                                      description: >-
                                        The time at which the customer will be
                                        debited.
                                    settlement_at:
                                      type: number
                                      description: >-
                                        The time at which the funds will be
                                        settled.
                                  required:
                                    - customer_debit_at
                                    - settlement_at
                                  description: >-
                                    Timings related to the Bacs Direct Debit
                                    processing.
                              required:
                                - timings
                              description: >-
                                Processing details specific to a Bacs Direct
                                Debit transaction.
                          required:
                            - type
                            - bacs_debit
                          description: >-
                            Details about the processing state of the
                            transaction.
                        receipt_url:
                          type:
                            - string
                            - 'null'
                          description: The URL of the hosted receipt for this transaction.
                        refunded:
                          type: boolean
                          default: false
                          description: Whether the transaction has been fully refunded.
                        reporting_type:
                          type: string
                          description: >-
                            The reporting type used to categorize this
                            transaction.
                        status:
                          type: string
                          enum:
                            - requires_payment_method
                            - requires_confirmation
                            - requires_action
                            - processing
                            - canceled
                            - succeeded
                          description: The status of the transaction.
                        transfer_group:
                          type:
                            - string
                            - 'null'
                          description: >-
                            A string identifier that groups together
                            transactions for a single transfer.
                      required:
                        - id
                        - created
                        - object
                        - adaptive_pricing
                        - amount
                        - application
                        - balance_transaction
                        - capture_method
                        - client_secret
                        - confirmed_at
                        - cross_border
                        - currency
                        - customer
                        - description
                        - dispute
                        - invoice
                        - last_payment_error
                        - next_action
                        - paid_at
                        - payment_method
                        - payment_method_types
                        - payment_session
                        - presentment_details
                        - processing
                        - receipt_url
                        - reporting_type
                        - status
                        - transfer_group
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````